## python-requests-oauthlib 0.4.0

=== requirements.txt ===
requests
oauthlib[rsa]>=0.4.2

## python-requests-oauthlib 0.3.3

=== debian/changelog ===
python-requests-oauthlib (0.3.3-1) unstable; urgency=low

  * Initial release. Closes: 721545

 -- Simon Fondrie-Teitler <simonft@riseup.net>  Sun, 01 Sep 2013 15:54:52 -0500

=== debian/control ===
Source: python-requests-oauthlib
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Simon Fondrie-Teitler <simonft@riseup.net>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               python-all (>= 2.6.6-3),
               python-setuptools (>= 0.6b3),
               python3-all,
               python3-setuptools,
	       python-requests,
	       python-oauthlib,
	       python-sphinx,
Homepage: https://github.com/requests/requests-oauthlib
Standards-Version: 3.9.4

Package: python-requests-oauthlib
Architecture: all
Depends: ${misc:Depends}, 
	 ${python:Depends}, 
	 python-requests, 
	 python-oauthlib (>= 0.4.2)
Description: module providing OAuthlib auth support for requests (Python 2)
 requests-oauthlib allows you to interact with OAuth 1 And OAuth 2 in
 greatly simplified ways through the requests library for Python. It
 will hide the quirks and hacks in OAuth 1, and will interface with
 all four of the grant types defined by the OAuth2 RFC.
 .
 This package provides the requests-oauthlib Python module for Python
 2.x.

Package: python3-requests-oauthlib
Architecture: all
Depends: ${misc:Depends}, 
	 ${python3:Depends}, 
	 python3-requests, 
	 python3-oauthlib (>= 0.4.2)
Description: module providing OAuthlib auth support for requests (Python 3)
 requests-oauthlib allows you to interact with OAuth 1 And OAuth 2 in
 greatly simplified ways through the requests library for Python. It
 will hide the quirks and hacks in OAuth 1, and will interface with
 all four of the grant types defined by the OAuth2 RFC.
 .
 This package provides the requests-oauthlib Python module for Python
 3.x.

Package: python-requests-oauthlib-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, 
	 ${misc:Depends},
Description: module providing OAuthlib auth support for requests (Common Documentation)
 requests-oauthlib allows you to interact with OAuth 1 And OAuth 2 in
 greatly simplified ways through the requests library for Python. It
 will hide the quirks and hacks in OAuth 1, and will interface with
 all four of the grant types defined by the OAuth2 RFC.
 .
 This package provides the common documentation for the
 requests-oauthlib Python module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT    ?= https://github.com/requests/requests-oauthlib.git
DEBVERS         ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION         ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//')
DEBFLAVOR       ?= $(shell dpkg-parsechangelog | grep -E ^Distribution: | cut -d" " -f2)
DEBPKGNAME      ?= $(shell dpkg-parsechangelog | grep -E ^Source: | cut -d" " -f2)
GIT_TAG         ?= $(shell echo 'v$(VERSION)' | sed -e 's/~/_/')
MANIFEST_EXCLUDE_STANDARD ?= $(DEBPKGNAME)
DEBIAN_BRANCH   ?= $(shell cat debian/gbp.conf | grep debian-branch | cut -d'=' -f2 | awk '{print $1}')

PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build requests-oauthlib.egg-info
	rm -rf docs/_build/

override_dh_auto_build:
	make -C docs/ html
	dh_auto_build


override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-requests-oauthlib; \
	done

	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-requests-oauthlib; \
	done

############################################
### Below is to manage upstream Git repo ###
### and is not used during package build ###
############################################
fetch-upstream-remote:  
	git remote add upstream $(UPSTREAM_GIT) || true
	git fetch upstream

gen-orig-xz:
	if [ ! -f ../$(DEBPKGNAME)_$(VERSION).orig.tar.xz ] ; then \
		git archive --prefix=$(DEBPKGNAME)-$(GIT_TAG)/ $(GIT_TAG) | xz >../$(DEBPKGNAME)_$(VERSION).orig.tar.xz ; \
	fi
	[ ! -e ../build-area ] && mkdir ../build-area || true
	[ ! -e ../build-area/$(DEBPKGNAME)_$(VERSION).orig.tar.xz ] && cp ../$(DEBPKGNAME)_$(VERSION).orig.tar.xz ../build-area

get-master-branch:
	if ! git checkout master ; then \
		echo "No upstream branch: checking out" ; \
		git checkout -b master upstream/master ; \
	fi
	git checkout $(DEBIAN_BRANCH)

get-vcs-source:
	$(CURDIR)/debian/rules fetch-upstream-remote
	$(CURDIR)/debian/rules gen-orig-xz
	$(CURDIR)/debian/rules get-master-branch

## python-requests-oauthlib 0.4.0

=== debian/changelog ===
python-requests-oauthlib (0.4.0-1ubuntu1) utopic; urgency=medium

  * Cherrypick 12f3822a from upstream to fix body signature type requests.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 25 Apr 2014 12:18:22 +0100

python-requests-oauthlib (0.4.0-1) unstable; urgency=low

  * Upgrade to new upstream version
  * Simplified rules file
  * Update Standards-Version
  * Move to collab-maint

 -- Simon Fondrie-Teitler <simonft@riseup.net>  Sat, 01 Feb 2014 13:26:06 -0500

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: python-requests-oauthlib
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Simon Fondrie-Teitler <simonft@riseup.net>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Simon Fondrie-Teitler <simonft@riseup.net>
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 9),
@@ -12,7 +12,9 @@
 	       python-oauthlib,
 	       python-sphinx,
 Homepage: https://github.com/requests/requests-oauthlib
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-requests-oauthlib.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/python-requests-oauthlib.git -b debian/unstable
 
 Package: python-requests-oauthlib
 Architecture: all

## python-requests-oauthlib 0.6.2

=== debian/changelog ===
python-requests-oauthlib (0.6.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Imported new upstream version 0.6.2.

 -- Iain R. Learmonth <irl@debian.org>  Sat, 17 Sep 2016 19:48:04 +0100

## python-requests-oauthlib 0.7.0

=== debian/changelog ===
python-requests-oauthlib (0.7.0-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Imported new upstream version 0.7.0.

 -- Iain R. Learmonth <irl@debian.org>  Sat, 03 Dec 2016 15:28:38 +0000

## python-requests-oauthlib 0.8.0

=== debian/changelog ===
python-requests-oauthlib (0.8.0-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version 0.8.0
  * debian/control
   - Updates VCS links
   - Removes unnecessary versioned dependencies 
   - Updates standards version to 4.1.0
  * debian/copyright
   - Updates format link to use https

 -- Ana Custura <ana@netstat.org.uk>  Sat, 09 Sep 2017 09:01:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,27 +1,26 @@
 Source: python-requests-oauthlib
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Simon Fondrie-Teitler <simonft@riseup.net>
+Maintainer: Simon Fondrie-Teitler <simonft@riseup.net>
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 9),
-               python-all (>= 2.6.6-3),
-               python-setuptools (>= 0.6b3),
+               python-all,
+               python-setuptools,
                python3-all,
                python3-setuptools,
 	       python-requests,
 	       python-oauthlib,
 	       python-sphinx,
 Homepage: https://github.com/requests/requests-oauthlib
-Standards-Version: 3.9.5
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/python-requests-oauthlib.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/python-requests-oauthlib.git -b debian/unstable
+Standards-Version: 4.1.0
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-requests-oauthlib.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-requests-oauthlib.git
 
 Package: python-requests-oauthlib
 Architecture: all
 Depends: ${misc:Depends}, 
 	 ${python:Depends}, 
 	 python-requests, 
-	 python-oauthlib (>= 0.4.2)
+	 python-oauthlib
 Description: module providing OAuthlib auth support for requests (Python 2)
  requests-oauthlib allows you to interact with OAuth 1 And OAuth 2 in
  greatly simplified ways through the requests library for Python. It
@@ -36,7 +35,7 @@
 Depends: ${misc:Depends}, 
 	 ${python3:Depends}, 
 	 python3-requests, 
-	 python3-oauthlib (>= 0.4.2)
+	 python3-oauthlib
 Description: module providing OAuthlib auth support for requests (Python 3)
  requests-oauthlib allows you to interact with OAuth 1 And OAuth 2 in
  greatly simplified ways through the requests library for Python. It

=== debian/rules ===
#!/usr/bin/make -f
PYTHONS:=$(shell pyversions -vr)
PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@ --buildsystem=python_distutils --with python2,python3,sphinxdoc

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build requests-oauthlib.egg-info
	rm -rf docs/_build/

override_dh_auto_build:
	dh_auto_build
	make -C docs html

override_dh_auto_install:
	set -e && for pyvers in $(PYTHONS); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python-requests-oauthlib; \
	done

	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-requests-oauthlib; \
	done

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d+$// \
http://pypi.python.org/packages/source/r/requests-oauthlib/ requests-oauthlib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-requests-oauthlib 1.0.0

=== debian/changelog ===
python-requests-oauthlib (1.0.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Removed Python 2 support (Closes: #938140).
  * d/source/options: Add extend-diff-ignore = "^[^/]*[.]egg-info/".
  * Add patch-out-intersphinx.patch.

 -- Thomas Goirand <zigo@debian.org>  Sat, 14 Sep 2019 21:00:14 +0200

python-requests-oauthlib (1.0.0-1) unstable; urgency=medium

  * New upstream version 1.0.0
  * Add dependency on dh-python
  * Point VCS urls at Salsa
  * Bump standards version (no changes)
  * Update watch file to use pypi.debian.net
  * Build depend on python3-sphinx instead of python-sphinx

 -- Simon Fondrie-Teitler <simonft@riseup.net>  Sun, 24 Jun 2018 16:48:32 -0400

=== debian/control ===
--- 
+++ 
@@ -3,32 +3,16 @@
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 9),
-               python-all,
-               python-setuptools,
+               dh-python,
                python3-all,
                python3-setuptools,
-	       python-requests,
-	       python-oauthlib,
-	       python-sphinx,
+	       python3-requests,
+	       python3-oauthlib,
+	       python3-sphinx,
 Homepage: https://github.com/requests/requests-oauthlib
-Standards-Version: 4.1.0
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/python-requests-oauthlib.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/python-requests-oauthlib.git
-
-Package: python-requests-oauthlib
-Architecture: all
-Depends: ${misc:Depends}, 
-	 ${python:Depends}, 
-	 python-requests, 
-	 python-oauthlib
-Description: module providing OAuthlib auth support for requests (Python 2)
- requests-oauthlib allows you to interact with OAuth 1 And OAuth 2 in
- greatly simplified ways through the requests library for Python. It
- will hide the quirks and hacks in OAuth 1, and will interface with
- all four of the grant types defined by the OAuth2 RFC.
- .
- This package provides the requests-oauthlib Python module for Python
- 2.x.
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/simonft-guest/python-requests-oauthlib
+Vcs-Git: https://salsa.debian.org/simonft-guest/python-requests-oauthlib.git
 
 Package: python3-requests-oauthlib
 Architecture: all
@@ -58,5 +42,3 @@
  .
  This package provides the common documentation for the
  requests-oauthlib Python module.
-
-

=== debian/rules ===
#!/usr/bin/make -f
PYTHON3S:=$(shell py3versions -vr)

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build
	rm -rf docs/_build/

override_dh_auto_build:
	set -e ; set -x ; for i in $(PYTHON3S) ; do \
		python$$i setup.py build ; \
	done
	make -C docs html

override_dh_auto_install:
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-requests-oauthlib; \
	done

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/requests-oauthlib/requests-oauthlib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-requests-oauthlib 1.3.0+ds

=== debian/changelog ===
python-requests-oauthlib (1.3.0+ds-1) unstable; urgency=medium

  * Team upload
  * Salvage into Python Team (Closes: #995758)

 -- Bastian Germann <bage@debian.org>  Tue, 20 Dec 2022 16:36:02 +0100

python-requests-oauthlib (1.3.0+ds-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.
    + Compatible again with oauthlib 3.0. (Closes: #995417)
  * Exclude pre-compiled bytecode from source tarball.

 -- Dominik George <natureshadow@debian.org>  Mon, 04 Oct 2021 23:59:32 +0200

python-requests-oauthlib (1.0.0-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream version 1.0.0
  * debian/control
    - Bumps debhelper version to 12
    - Adds new missing build dependencies
    - Updates standards version to 4.3.0
    - Adds build dependency on dh-python
    - Updates test suite
    - Removes trailing whitespaces
    - Adds dependency on python3-sphinx
    - Updates VCS fields
  * debian/watch
    - Fixes insecure URI in debian/watch
  * debian/rules
    - Updates build system to pybuild
    - Excludes networked tests
  * debian/doc-base
    - Updates path to docs

 -- Ana Custura <ana@netstat.org.uk>  Mon, 07 Jan 2019 11:56:36 +0000

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,28 @@
 Source: python-requests-oauthlib
-Maintainer: Simon Fondrie-Teitler <simonft@riseup.net>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Uploaders: Simon Fondrie-Teitler <simonft@riseup.net>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 12),
+               python3-all,
                dh-python,
-               python3-all,
                python3-setuptools,
-	       python3-requests,
+	       python3-sphinx,
+               python3-requests,
+               python3-pytest,
+               python3-requests-mock,
+	       python3-mock,
 	       python3-oauthlib,
-	       python3-sphinx,
 Homepage: https://github.com/requests/requests-oauthlib
 Standards-Version: 4.1.4
-Vcs-Browser: https://salsa.debian.org/simonft-guest/python-requests-oauthlib
-Vcs-Git: https://salsa.debian.org/simonft-guest/python-requests-oauthlib.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-requests-oauthlib
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-requests-oauthlib.git
 
 Package: python3-requests-oauthlib
 Architecture: all
-Depends: ${misc:Depends}, 
-	 ${python3:Depends}, 
-	 python3-requests, 
+Depends: ${misc:Depends},
+	 ${python3:Depends},
+	 python3-requests,
 	 python3-oauthlib
 Description: module providing OAuthlib auth support for requests (Python 3)
  requests-oauthlib allows you to interact with OAuth 1 And OAuth 2 in
@@ -32,7 +36,7 @@
 Package: python-requests-oauthlib-doc
 Architecture: all
 Section: doc
-Depends: ${sphinxdoc:Depends}, 
+Depends: ${sphinxdoc:Depends},
 	 ${misc:Depends},
 Description: module providing OAuthlib auth support for requests (Common Documentation)
  requests-oauthlib allows you to interact with OAuth 1 And OAuth 2 in

=== debian/rules ===
#!/usr/bin/make -f
PYTHON3S:=$(shell py3versions -vr)
export PYBUILD_TEST_ARGS= tests/ -k "not testCanPostBinaryData and not test_content_type_override and not test_url_is_native_str"
%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_clean:
	dh_clean -O--buildsystem=pybuild
	rm -rf build requests-oauthlib.egg-info
	rm -rf docs/_build/

override_dh_auto_build:
	dh_auto_build
	make -C docs html

override_dh_auto_install:
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-requests-oauthlib; \
	done

## python-requests-oauthlib 1.3.1

=== debian/changelog ===
python-requests-oauthlib (1.3.1-2) unstable; urgency=medium

  * Team upload.
  * Updated tests to support 3.3.0/changes rel. to expires_at (closes:
    #1114330).

 -- Colin Watson <cjwatson@debian.org>  Mon, 13 Oct 2025 02:31:41 +0100

python-requests-oauthlib (1.3.1-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.3.1
  * document Salsa status in gbp.conf
  * switch to DebHelper 13
  * remove python3-mock build-dep
  * add python3-sphinx-rtd-theme build-dep
  * set "Rules-Requires-Root: no"'
  * mark -doc package "Multi-Arch: foreign"

 -- Alexandre Detiste <tchet@debian.org>  Wed, 21 Feb 2024 12:57:38 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Uploaders: Simon Fondrie-Teitler <simonft@riseup.net>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
                python3-all,
-               dh-python,
+               dh-sequence-python3,
                python3-setuptools,
 	       python3-sphinx,
+               python3-sphinx-rtd-theme,
                python3-requests,
                python3-pytest,
                python3-requests-mock,
-	       python3-mock,
 	       python3-oauthlib,
+Rules-Requires-Root: no
 Homepage: https://github.com/requests/requests-oauthlib
 Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-requests-oauthlib
@@ -35,6 +36,7 @@
 
 Package: python-requests-oauthlib-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${sphinxdoc:Depends},
 	 ${misc:Depends},

=== debian/watch ===
version=3
opts=repacksuffix=+ds,dversionmangle=auto,uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/requests-oauthlib/requests-oauthlib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-requests-oauthlib 2.0.0

=== debian/changelog ===
python-requests-oauthlib (2.0.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 2.0.0
  * Add debian/salsa-ci.yml
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Bump d/watch to v4
  * Rewrite d/rules with newer & shorter syntax
  * Skip test_login too

 -- Alexandre Detiste <tchet@debian.org>  Sun, 01 Mar 2026 20:26:22 +0100

=== debian/rules ===
#!/usr/bin/make -f
PYTHON3S:=$(shell py3versions -vr)
export PYBUILD_TEST_ARGS= tests/ -k "not testCanPostBinaryData and not test_content_type_override and not test_url_is_native_str and not test_login"

%:
	dh $@ --buildsystem=pybuild --with sphinxdoc

execute_after_dh_clean:
	rm -rf build requests-oauthlib.egg-info
	rm -rf docs/_build/

execute_after_dh_auto_build:
	make -C docs html

override_dh_auto_install:
	set -e && for pyvers in $(PYTHON3S); do \
		python$$pyvers setup.py install --install-layout=deb \
			--root $(CURDIR)/debian/python3-requests-oauthlib; \
	done

=== debian/watch ===
version=4
opts=repacksuffix=+ds,dversionmangle=auto,uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/requests-oauthlib/requests-oauthlib-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
